public class Flytkommando extends Kommando
{
	private Figur figuren;  // figuren, der skal flyttes nr udfr() kaldes
	private int dx, dy;    // ndringer i x- og y-koordinat

	public Flytkommando(Figur fig, int dx, int dy)
	{
		figuren = fig;
		this.dx = dx;
		this.dy = dy;
	}

	public void udfr()    // udfr kommandoen
	{
		figuren.x += dx;
		figuren.y += dy;
	}

	public void fortryd()  // fortryd udfrelsen
	{
		figuren.x -= dx;
		figuren.y -= dy;
	}

	public String toString() { return "flyt"+figuren+" dx="+dx+",dy="+dy; }
}
