import java.util.*;

public class Opretkommando extends Kommando
{
	private Figur figuren;  // figuren, der skal flyttes nr udfr() kaldes
	private ArrayList figurliste;

	public Opretkommando(Figur fig, ArrayList figliste)
	{
		figuren = fig;
		figurliste = figliste;
	}

	public void udfr()    // udfr kommandoen
	{
		figurliste.add(figuren);
	}

	public void fortryd()  // fortryd udfrelsen
	{
		figurliste.remove(figuren);
	}

	public String toString() { return "opret"+figuren; }
}
