import java.util.*;

public class Figurgruppe extends Figur
{
	int origox;
	int origoy;
	/**
	 * @associates <{Figur}>
	 * @supplierCardinality 0..*
	 */
	ArrayList figurer;

	public Figurgruppe(int x1, int y1, ArrayList figurliste)
	{
		super(x1,y1);
		figurer = new ArrayList(figurliste);
		for (int i=0; i<figurer.size(); i++) {
			Figur f = (Figur) figurer.get(i);
			origox = origox + f.x;
			origoy = origoy + f.y;
		}
		origox = origox / figurer.size();
		origoy = origoy / figurer.size();
	}

	public void tegn(java.awt.Graphics g)
	{
		g.translate(x-origox,y-origoy);
		for (int i=0; i<figurer.size(); i++) {
			Figur f = (Figur) figurer.get(i);
			f.tegn(g);
		}
		g.translate(origox-x,origoy-y);
	}
}
